org.apache.ignite.internal.sql.optimizer.affinity

## Class PartitionJoinCondition

- java.lang.Object
- - org.apache.ignite.internal.sql.optimizer.affinity.PartitionJoinCondition

    public class PartitionJoinCondition
    extends Object

Join condition.

### Field Summary

Fields
`static PartitionJoinCondition` `CROSS` Cross JOIN.

### Constructor Summary

Constructors
Constructor and Description
`PartitionJoinCondition(String leftAlias, String rightAlias, String leftCol, String rightCol)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `cross()`
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `leftAlias()` Left alias.
`String` `leftColumn()`
`String` `rightAlias()` Right alias.
`String` `rightColumn()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CROSS

    public static final PartitionJoinCondition CROSS

Cross JOIN.

### Constructor Detail

#### PartitionJoinCondition

    public PartitionJoinCondition(String leftAlias,
                                  String rightAlias,
                                  String leftCol,
                                  String rightCol)

Constructor.

Parameters:
  `leftAlias` - Left alias.
  `rightAlias` - Right alias.
  `leftCol` - Left column name.
  `rightCol` - Right column name.

### Method Detail

#### leftAlias

    public String leftAlias()

Left alias.

#### rightAlias

    public String rightAlias()

Right alias.

#### leftColumn

    public String leftColumn()

Returns:
  Left column.

#### rightColumn

    public String rightColumn()

Returns:
  Right column.

#### cross

    public boolean cross()

Returns:
  Wheter this is a cross-join.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020